Skip to main content
GET
/
automations
List automations
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/automations
{
  "workflows": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "cadence": {
        "type": "daily",
        "time": "<string>"
      },
      "inputSchema": {},
      "clonedFromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lastRunAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userAgent": "web"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Query Parameters

include
enum<string>
Available options:
latestRun
limit
string

Maximum number of results (default: 200, max: 200)

offset
string

Number of results to skip (default: 0)

Search query (matches name, description)

sortBy
enum<string>

Sort field

Available options:
updated,
created,
name
sortDirection
enum<string>

Sort direction

Available options:
asc,
desc
ownership
enum<string>

Ownership filter

Available options:
all,
owned,
granted
createdById
string

Filter by creator user ID

Response

Paginated list of automations

workflows
object[]
required
total
number
required
limit
number
required
offset
number
required